/**
 * Main Page Styles
 * 
 * Styles specifically for the homepage, including hero sections, banners, and featured modules.
 */

/* ----- main-slider -----*/
.main-slider{
    overflow: hidden;
}
.main-slider .elementor-swiper-button{
    padding: 12px;
    border-radius: 99px;
    background: #F4F4F580;
    transition: all 0.3s;
}
.main-slider .elementor-swiper-button:hover{
    background: #E6E6E6;
}
.main-slider .elementor-swiper-button svg path{
    transition: all 0.3s;
}
.main-slider .elementor-swiper-button:hover svg path{
    fill: #EE922B;
}
@media (max-width: 1024px){
    .main-slider .elementor-swiper-button{
        display: none !important;
    }
    .main-slider .elementor-slide-description{
        font-weight: 400 !important;
        font-size: 14px !important;
    }
}

/* ----- category-carousel -----*/
.category-carousel .elementor-swiper-button svg path{
    fill: #444444;
    transition: fill 0.3s;
}
.category-carousel .elementor-swiper-button:hover svg path{
    fill: #EE922B;
}

.category-carousel .elementor-swiper-button{
    padding: 12px;
    background: #F4F4f4;
    border-radius: 99px;
}
.category-carousel .elementor-swiper-button:hover{
    background: #E6E6E6;
}
@media (max-width: 767px){
    .category-carousel .elementor-swiper-button{
        display: none !important;
    }
}
.category-carousel .swiper-pagination-bullet{
    border: 1px solid #E6E6E6;
    opacity: 1;
}
.category-carousel .swiper-pagination-bullet-active{
    background: #EE922B;
    border: 1px solid #EE922B;
}

@media (max-width: 1024px){
    .category-carousel .swiper{
        overflow: visible;
    }
}
@media (min-width: 1024px){
    .category-carousel .swiper-pagination{
        display: none;
    }
}


/* ----- product carousel ----- */
.product-carousel .swiper-pagination-bullet{
    border: 1px solid #E6E6E6;
    opacity: 1;
}
.product-carousel .swiper-pagination-bullet-active{
    background: #EE922B;
    border: 1px solid #EE922B;
}
@media (min-width: 1024px){
    .product-carousel .elementor-swiper-button-next{
        margin-right: -25px;
    }
    .product-carousel .elementor-swiper-button-prev{
        margin-left: -25px;
    }
    .product-carousel .swiper-pagination{
        display: none;
    }
}
@media (max-width: 1024px){
    .product-carousel .swiper{
        overflow: visible;
    }
    .product-carousel .elementor-swiper-button-next, .product-carousel .elementor-swiper-button-prev{
        display: none !important;
    }
}

